---
apiVersion: traefik.containo.us/v1alpha1
kind: IngressRoute
metadata:
  name: longhorn-websecure-route
  namespace: longhorn-system
spec:
  entryPoints:
    - websecure
  routes:
  - match: Host(`longhorn.dezendorf.net`)
    kind: Rule
    services:
    - name: longhorn-frontend
      port: 80
  tls:
    certResolver: myresolver
---
apiVersion: traefik.containo.us/v1alpha1
kind: IngressRoute
metadata:
  name: longhorn-web-route
  namespace: longhorn-system
spec:
  entryPoints:
    - web
  routes:
  - match: Host(`longhorn.dezendorf.net`)
    kind: Rule
    middlewares:
    - name: redirecthttps
    services:
    - name: longhorn-frontend
      port: 80
